As a security precaution, we have turned on the setting "Require API key authentication for API requests" for everyone. If this has broken something, please contact bugzilla-admin@mozilla.org
Last Comment Bug 411728 - Update Polish Wikipedia search plugin to support suggestions
: Update Polish Wikipedia search plugin to support suggestions
Status: VERIFIED FIXED
: verified1.8.1.12
Product: Mozilla Localizations
Classification: Client Software
Component: pl / Polish (show other bugs)
: unspecified
: All All
: -- normal (vote)
: ---
Assigned To: Marek Stępień [:marcoos, inactive]
: Hubert Gajewski
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-10 11:45 PST by Marek Stępień [:marcoos, inactive]
Modified: 2008-02-17 16:25 PST (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Add suggestions to Wikipedia's plugin (2.38 KB, patch)
2008-01-10 11:46 PST, Marek Stępień [:marcoos, inactive]
no flags Details | Diff | Splinter Review
Add suggestions to Wikipedia's plugin (2.41 KB, patch)
2008-01-10 11:52 PST, Marek Stępień [:marcoos, inactive]
no flags Details | Diff | Splinter Review
Add suggestions to Wikipedia's plugin (1.55 KB, patch)
2008-01-10 14:21 PST, Marek Stępień [:marcoos, inactive]
no flags Details | Diff | Splinter Review
Add suggestions to Wikipedia's plugin (1.68 KB, patch)
2008-01-10 14:37 PST, Marek Stępień [:marcoos, inactive]
l10n: review+
Details | Diff | Splinter Review
Patch for the 1.8 branch (1.74 KB, patch)
2008-01-11 10:14 PST, Marek Stępień [:marcoos, inactive]
l10n: approval1.8.1.12+
Details | Diff | Splinter Review

Description User image Marek Stępień [:marcoos, inactive] 2008-01-10 11:45:00 PST
The search plugin Wikipedia offers on wikipedia.org implements the MozSearch suggestions feature.

Let's update the Wikipedia plugin in the Polish localization of Firefox 3 to do the same.
Comment 1 User image Marek Stępień [:marcoos, inactive] 2008-01-10 11:46:01 PST
Created attachment 296381 [details] [diff] [review]
Add suggestions to Wikipedia's plugin
Comment 2 User image Marek Stępień [:marcoos, inactive] 2008-01-10 11:52:59 PST
Created attachment 296384 [details] [diff] [review]
Add suggestions to Wikipedia's plugin

...but don't drop the sourceid=Mozilla part ;)
Comment 3 User image :Gavin Sharp [email: gavin@gavinsharp.com] 2008-01-10 13:12:41 PST
The OpenSearch namespace changes really aren't necessary, the search service ignores namespaces entirely.
Comment 4 User image Marek Stępień [:marcoos, inactive] 2008-01-10 14:13:58 PST
Ok, I'll drop the namespace. I just did what the official Wikipedia plugin does.
Comment 5 User image Marek Stępień [:marcoos, inactive] 2008-01-10 14:21:18 PST
Created attachment 296412 [details] [diff] [review]
Add suggestions to Wikipedia's plugin

Dropping the OpenSearch namespace, bringing back <SearchForm />.
Comment 6 User image Marek Stępień [:marcoos, inactive] 2008-01-10 14:37:04 PST
Created attachment 296416 [details] [diff] [review]
Add suggestions to Wikipedia's plugin

Use <Param>s instead of query string full of HTML entities
Comment 7 User image Axel Hecht [:Pike] 2008-01-10 14:48:45 PST
Comment on attachment 296416 [details] [diff] [review]
Add suggestions to Wikipedia's plugin

r=me with two nits, see below

>Index: pl/browser/searchplugins/wikipedia-pl.xml
<...>
>+<Url type="text/html" method="GET" template="http://pl.wikipedia.org/w/index.php">
>+    <Param name="title" value="Specjalna:Szukaj" />

Make this template="http://pl.wikipedia.org/wiki/Specjalna:Szukaj"
and drop the title param.

>+    <Param name="search" value="{searchTerms}" />
>+    <Param name="sourceid" value="Mozilla-search" />
>+</Url>
<SearchForm>http://pl.wikipedia.org/wiki/Specjalna:Search</SearchForm>
> </SearchPlugin>
>\ No newline at end of file

Add a trailing newline, too?

Please check this in with a check-in comment referencing this bug and my review.
Comment 8 User image Marek Stępień [:marcoos, inactive] 2008-01-10 14:55:21 PST
Checking in wikipedia-pl.xml;
/l10n/l10n/pl/browser/searchplugins/wikipedia-pl.xml,v  <--  wikipedia-pl.xml
new revision: 1.3; previous revision: 1.2
done
Comment 9 User image Marek Stępień [:marcoos, inactive] 2008-01-11 09:20:26 PST
Can I fix this also on the 1.8 branch for Firefox 2.0.0.x?
Comment 10 User image Marek Stępień [:marcoos, inactive] 2008-01-11 09:21:41 PST
Comment on attachment 296416 [details] [diff] [review]
Add suggestions to Wikipedia's plugin

This patch also applies cleanly to the 1.8 branch.
Comment 11 User image Marek Stępień [:marcoos, inactive] 2008-01-11 10:14:19 PST
Created attachment 296558 [details] [diff] [review]
Patch for the 1.8 branch

This is the patch as checked in to trunk (with all the stuff from comment 7 applied), ready for checking in to 1.8, if that gets approval.
Comment 12 User image Axel Hecht [:Pike] 2008-01-15 10:00:14 PST
Comment on attachment 296558 [details] [diff] [review]
Patch for the 1.8 branch

[pl] approval for landing an update to the wikipedia search plugin on the branch.

Please use the fixed1.8.1.12 and verified.... keywords to track landing and testing.
Comment 13 User image Marek Stępień [:marcoos, inactive] 2008-01-15 10:59:49 PST
Checking in wikipedia-pl.xml;
/l10n/l10n/pl/browser/searchplugins/wikipedia-pl.xml,v  <--  wikipedia-pl.xml
new revision: 1.1.2.2; previous revision: 1.1.2.1
done
Comment 14 User image Hubert Gajewski 2008-02-17 11:46:38 PST
Verified (Fx 3.0 beta 3 & Fx 2.0.0.12)

Note You need to log in before you can comment on or make changes to this bug.